<div class="container">
    <app-header [title]="'User manager'"></app-header>
    <mat-progress-spinner *ngIf="!usersData || !usersData.data" [diameter]="40" mode="indeterminate"></mat-progress-spinner>
    <div *ngIf="usersData && usersData.data.length" class="table-list">
        <h2>Users list</h2>
        <app-user-item *ngFor="let user of usersData.data" [user]="user"></app-user-item>
        <mat-paginator [length]="usersData.total"
               [pageSize]="usersData.per_page"
               [pageSizeOptions]="[usersData.per_page]"
               (page)="PageEvent($event)">
        </mat-paginator>
    </div>
    <app-footer></app-footer>
</div>